---
# tasks file for wordcount
- block:
  - name: enable ubuntu group
    group: name=ubuntu state=present

  - name: enable ubuntu user
    user: name=ubuntu state=present shell=/bin/bash

  - name: copy wc.jar to home
    copy: src=wc.jar dest=/home/ubuntu/wc.jar

  when: task == "DEPLOY"
  remote_user: ubuntu

- block:
  - name: create input directory in hdfs
    shell: /opt/hadoop/bin/hdfs dfs -mkdir /input

  - name: upload ulysses into hdfs
    shell: /opt/hadoop/bin/hdfs dfs -put /home/ubuntu/outputCoarse.txt /input/outputCoarse.txt

  when: task == "CONFIGURE"
  become_user: ubuntu

- block:
  - name: Execute wordcount
    shell: /opt/hadoop/bin/hadoop jar /home/ubuntu/wc.jar WordCount /input/outputCoarse.txt output
  - name: Download output
    shell: /opt/hadoop/bin/hdfs dfs -get output
  when: task == "START"
  become_user: "ubuntu"

